## onedatafs-jupyter 21.02.0.alpha26.3.g09f0c24

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha26.3.g09f0c24-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha26.3.g09f0c24

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 26 Jul 2022 20:02:44 +0200

=== debian/control ===
Source: onedatafs-jupyter
Maintainer: Bartek Kryza <bkryza@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, git, python-setuptools (>= 0.6b3), python3-all, python-tox, python3-pip, python3-pip, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/onedata/onedatafs-jupyter

Package: python3-onedatafs-jupyter
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.3.g9ed9d9f)
Description: Onedata filesystem Jupyter plugin
 OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
 enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha26.4.ge3cdad4

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha26.4.ge3cdad4-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha26.4.ge3cdad4

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 24 Aug 2022 23:03:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.3.g9ed9d9f)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.4.g04a2b9e)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha26.5.g49e7f79

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha26.5.g49e7f79-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha26.5.g49e7f79

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 25 Aug 2022 21:41:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.4.g04a2b9e)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.5.g4d3d6d4)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 25 Aug 2022 17:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha26.5.g4d3d6d4)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.1.g8fe678a

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.1.g8fe678a-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.1.g8fe678a

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 26 Aug 2022 14:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.1.g4d81225)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.5.g777a3f9

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.5.g777a3f9-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.5.g777a3f9

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 08 Sep 2022 20:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.1.g4d81225)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.5.g048d281)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.6.g58bcb8d

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.6.g58bcb8d-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.6.g58bcb8d

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 15 Sep 2022 20:02:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.5.g048d281)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.6.g79335ef)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.7.g87c7475

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.7.g87c7475-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.7.g87c7475

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 29 Sep 2022 20:38:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.6.g79335ef)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.7.g43a127a)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.9.gba7b9e5

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.9.gba7b9e5-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.9.gba7b9e5

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 19 Oct 2022 21:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.7.g43a127a)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.9.gdb32a26)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.10.g6172328

=== Makefile ===
# distro for package building (oneof: xenial, bionic, centos-7-x86_64)
RELEASE               ?= 1902
DISTRIBUTION          ?= none
DOCKER_RELEASE        ?= development
DOCKER_REG_NAME       ?= "docker.onedata.org"
DOCKER_REG_USER       ?= ""
DOCKER_REG_PASSWORD   ?= ""
DOCKER_BASE_IMAGE     ?= "ubuntu:16.04"
DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:1802-1"
HTTP_PROXY            ?= "http://proxy.devel.onedata.org:3128"

PKG_REVISION              ?= $(shell git describe --tags --always)
PKG_VERSION               ?= $(shell git describe --tags --always | tr - .)
ONECLIENT_VERSION         ?= $(PKG_VERSION)
ONEDATAFS_JUPYTER_VERSION ?= $(PKG_VERSION)
FSONEDATAFS_VERSION       ?= $(PKG_VERSION)
PKG_COMMIT                ?= $(shell git rev-parse HEAD)
PKG_BUILD                 ?= 1
PKG_ID                     = onedatafs-jupyter-$(PKG_VERSION)

.PHONY: check_distribution
check_distribution:
ifeq ($(DISTRIBUTION), none)
	@echo "Please provide package distribution. Oneof: 'xenial', 'bionic', 'centos-7-x86_64'"
	@exit 1
else
	@echo "Building package for distribution $(DISTRIBUTION)"
endif

.PHONY: submodules
submodules:
	git submodule sync --recursive ${submodule}
	git submodule update --init --recursive ${submodule}

.PHONY: readme
readme:
	pandoc --from=markdown --to=rst --output=README.rst README.md

.PHONY: release
release: readme
	python setup.py sdist bdist_wheel

.PHONY: test
test:
	tox -e flake8

.PHONY: clean
clean:
	python setup.py clean --all
	rm -rf package

.PHONY: docs
docs:
	cd docs && make html
	python -c "import os, webbrowser; webbrowser.open('file://' + os.path.abspath('./docs/_build/html/index.html'))"



package/$(PKG_ID).tar.gz:
	mkdir -p package
	rm -rf package/$(PKG_ID)
	git archive --format=tar --prefix=$(PKG_ID)/ $(PKG_REVISION) | (cd package && tar -xf -)
	find package/$(PKG_ID) -depth -name ".git" -exec rm -rf {} \;
	echo "set(GIT_VERSION ${PKG_REVISION})" > package/$(PKG_ID)/version.txt
	tar -C package -czf package/$(PKG_ID).tar.gz $(PKG_ID)

.PHONY: rpm
rpm: check_distribution package/$(PKG_ID).tar.gz
	rm -rf package/packages && mkdir -p package/packages

	cp pkg_config/onedatafs-jupyter-py3.spec package/onedatafs-jupyter-py3.spec

	patch -d package/ -p1 -i $(PKG_ID)/pkg_config/$(DISTRIBUTION).patch

	sed -i "s/{{version}}/$(PKG_VERSION)/g" package/onedatafs-jupyter-py3.spec
	sed -i "s/{{fsonedatafs_version}}/$(FSONEDATAFS_VERSION)/g" package/onedatafs-jupyter-py3.spec
	sed -i "s/{{build}}/$(PKG_BUILD)/g" package/onedatafs-jupyter-py3.spec

	mock --root $(DISTRIBUTION) --buildsrpm --spec package/onedatafs-jupyter-py3.spec --resultdir=package/packages \
		--sources package
	mock --root $(DISTRIBUTION) --resultdir=package/packages \
		--rebuild package/packages/onedata$(RELEASE)-python3-$(PKG_ID)*.src.rpm

.PHONY: deb
deb: check_distribution package/$(PKG_ID).tar.gz
	rm -rf package/packages && mkdir -p package/packages
	mv -f package/$(PKG_ID).tar.gz package/onedatafs-jupyter_$(PKG_VERSION).orig.tar.gz

	cp -R pkg_config/debian package/$(PKG_ID)/
	patch -d package/$(PKG_ID)/ -p1 -i pkg_config/$(DISTRIBUTION).patch
	sed -i "s/{{version}}/$(PKG_VERSION)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{build}}/$(PKG_BUILD)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{distribution}}/$(DISTRIBUTION)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{date}}/`date -R`/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{fsonedatafs_version}}/$(FSONEDATAFS_VERSION)/g" package/$(PKG_ID)/debian/control

	cd package/$(PKG_ID) && sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
	mv package/*$(PKG_VERSION).orig.tar.gz package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.deb package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.dsc package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*_amd64.changes package/packages/
	-mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.debian.tar.xz package/packages/ || true

.PHONY: conda
conda: SHELL:=/bin/bash
conda: package/$(PKG_ID).tar.gz
	cp /tmp/.condarc $$HOME/.condarc
	cat $$HOME/.condarc
	mkdir -p package/conda
	mkdir -p package/conda-bld
	cp conda/* package/conda/
	sed -i "s|<<PKG_VERSION>>|$(PKG_VERSION)|g" package/conda/meta.yaml
	sed -i "s|<<FSONEDATAFS_VERSION>>|$(FSONEDATAFS_VERSION)|g" package/conda/meta.yaml
	sed -i "s|<<PKG_SOURCE>>|../$(PKG_ID).tar.gz|g" package/conda/meta.yaml
	source /opt/conda/bin/activate base && \
		PKG_VERSION=$(PKG_VERSION) CONDA_BLD_PATH=$$PWD/package/conda-bld \
		conda build --user onedata-devel --token "${CONDA_TOKEN}" ${CONDA_BUILD_OPTIONS} \
		package/conda
	echo "onedata-devel/onedatafs-jupyter/$(PKG_VERSION)/download/linux-64/onedatafs-jupyter-$(PKG_VERSION)-py39_0.tar.bz2" >> conda-pkg-list.txt

.PHONY: docker
docker:
	./docker_build.py --repository $(DOCKER_REG_NAME) --user $(DOCKER_REG_USER) \
                      --password $(DOCKER_REG_PASSWORD) \
                      --build-arg RELEASE_TYPE=$(DOCKER_RELEASE) \
                      --build-arg RELEASE=$(RELEASE) \
                      --build-arg ONEDATAFS_JUPYTER_VERSION=$(PKG_VERSION) \
                      --build-arg ONECLIENT_VERSION=$(ONECLIENT_VERSION) \
                      --build-arg FSONEDATAFS_VERSION=$(FSONEDATAFS_VERSION) \
                      --build-arg HTTP_PROXY=$(HTTP_PROXY) \
                      --name onedatafs-jupyter --publish --remove docker

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.10.g6172328-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.10.g6172328

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 03 Nov 2022 19:20:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.9.gdb32a26)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.10.gb7f7187)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha27.14.g799d3a3

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha27.14.g799d3a3-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.14.g799d3a3

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 04 Nov 2022 14:41:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.10.gb7f7187)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.14.gbd41058)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 04 Nov 2022 18:04:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha27.14.gbd41058)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28.1.g6672eed

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28.1.g6672eed-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.1.g6672eed

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 07 Nov 2022 20:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.1.gd284422)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28.3.g30affe0

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28.3.g30affe0-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.3.g30affe0

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 25 Nov 2022 00:46:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.1.gd284422)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.3.gb86c096)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28.5.g224017f

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28.5.g224017f-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.5.g224017f

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 25 Jan 2023 19:02:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.3.gb86c096)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.5.gc2ba69b)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28.6.g216ab59

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28.6.g216ab59-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.6.g216ab59

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 06 Feb 2023 22:22:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.5.gc2ba69b)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.6.g2154040)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.0.alpha28.7.g295f742

=== debian/changelog ===
onedatafs-jupyter (21.02.0.alpha28.7.g295f742-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.7.g295f742

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 14 Feb 2023 19:02:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.6.g2154040)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.0.alpha28.7.gc64fce6)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.28.g7892d48

=== debian/changelog ===
onedatafs-jupyter (21.02.2.28.g7892d48-1~focal) focal; urgency=low

  * Build from 21.02.2.28.g7892d48

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 27 Aug 2025 20:04:07 +0200

=== debian/control ===
Source: onedatafs-jupyter
Maintainer: Bartek Kryza <bkryza@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, git, python-setuptools (>= 0.6b3), python3-all, tox, python3-pip, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/onedata/onedatafs-jupyter

Package: python3-onedatafs-jupyter
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.17.g95ef69d)
Description: Onedata filesystem Jupyter plugin
 OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
 enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.29.gaf554cd

=== debian/changelog ===
onedatafs-jupyter (21.02.2.29.gaf554cd-1~focal) focal; urgency=low

  * Build from 21.02.2.29.gaf554cd

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 28 Aug 2025 20:02:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.17.g95ef69d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.18.g9bf0184)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.30.g8f90a61

=== debian/changelog ===
onedatafs-jupyter (21.02.2.30.g8f90a61-1~focal) focal; urgency=low

  * Build from 21.02.2.30.g8f90a61

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 16 Jan 2026 09:27:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.18.g9bf0184)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.2.g77ad75a)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.31.g1f39857

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # distro for package building (oneof: xenial, bionic, centos-7-x86_64)
-RELEASE               ?= 1902
+RELEASE               ?= 2102
 DISTRIBUTION          ?= none
 DOCKER_RELEASE        ?= development
 DOCKER_REG_NAME       ?= "docker.onedata.org"
 DOCKER_REG_USER       ?= ""
 DOCKER_REG_PASSWORD   ?= ""
-DOCKER_BASE_IMAGE     ?= "ubuntu:16.04"
-DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:1802-1"
+DOCKER_BASE_IMAGE     ?= "ubuntu:20.04"
+DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:2102-8"
 HTTP_PROXY            ?= "http://proxy.devel.onedata.org:3128"
 
 PKG_REVISION              ?= $(shell git describe --tags --always)
@@ -94,7 +94,7 @@
 	sed -i "s/{{date}}/`date -R`/g" package/$(PKG_ID)/debian/changelog
 	sed -i "s/{{fsonedatafs_version}}/$(FSONEDATAFS_VERSION)/g" package/$(PKG_ID)/debian/control
 
-	cd package/$(PKG_ID) && sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
+	cd package/$(PKG_ID) && sudo sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
 	mv package/*$(PKG_VERSION).orig.tar.gz package/packages/
 	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.deb package/packages/
 	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.dsc package/packages/

=== debian/changelog ===
onedatafs-jupyter (21.02.2.31.g1f39857-1~focal) focal; urgency=low

  * Build from 21.02.2.31.g1f39857

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 16 Jan 2026 19:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.2.g77ad75a)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.3.gdbbd165)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.31.gb1e857d

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # distro for package building (oneof: xenial, bionic, centos-7-x86_64)
-RELEASE               ?= 2102
+RELEASE               ?= 25
 DISTRIBUTION          ?= none
 DOCKER_RELEASE        ?= development
 DOCKER_REG_NAME       ?= "docker.onedata.org"
 DOCKER_REG_USER       ?= ""
 DOCKER_REG_PASSWORD   ?= ""
 DOCKER_BASE_IMAGE     ?= "ubuntu:20.04"
-DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:2102-8"
+DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:25-1"
 HTTP_PROXY            ?= "http://proxy.devel.onedata.org:3128"
 
 PKG_REVISION              ?= $(shell git describe --tags --always)

=== debian/changelog ===
onedatafs-jupyter (21.02.2.31.gb1e857d-1~focal) focal; urgency=low

  * Build from 21.02.2.31.gb1e857d

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 19 Jan 2026 12:50:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.3.gdbbd165)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.22.g77ad75a)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.32.g35c3ab4

=== debian/changelog ===
onedatafs-jupyter (21.02.2.32.g35c3ab4-1~focal) focal; urgency=low

  * Build from 21.02.2.32.g35c3ab4

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 20 Jan 2026 13:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.22.g77ad75a)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.32.gfb26e0c

=== debian/changelog ===
onedatafs-jupyter (21.02.2.32.gfb26e0c-1~focal) focal; urgency=low

  * Build from 21.02.2.32.gfb26e0c

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 02 Feb 2026 10:04:35 +0100

## onedatafs-jupyter 21.02.2.33.g15a42be

=== debian/changelog ===
onedatafs-jupyter (21.02.2.33.g15a42be-1~focal) focal; urgency=low

  * Build from 21.02.2.33.g15a42be

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 03 Feb 2026 19:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.1.g6573986)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.39.gef64951

=== debian/changelog ===
onedatafs-jupyter (21.02.2.39.gef64951-1~focal) focal; urgency=low

  * Build from 21.02.2.39.gef64951

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 10 Apr 2025 15:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 25.0.1.g6573986)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.27.gba4809d)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.

## onedatafs-jupyter 21.02.2.45.g03514e5

=== debian/changelog ===
onedatafs-jupyter (21.02.2.45.g03514e5-1~focal) focal; urgency=low

  * Build from 21.02.2.45.g03514e5

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 27 Aug 2025 10:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-onedatafs-jupyter
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.27.gba4809d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-fs-plugin-onedatafs (>= 21.02.8.38.ge1daea7)
 Description: Onedata filesystem Jupyter plugin
  OnedataFS plugin for Jupyter implements Jupyter Content Manager API,
  enabling running Jupyter notebooks directly within a Onedata data space.
